Bug 577189 - "Turn Off input method" option need to be removed/changed once the input method is turned off
"Turn Off input method" option need to be removed/changed once the input meth...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 08:22 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.3.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 22:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot showing turning off the inout method (58.19 KB, image/png)
2010-03-26 08:22 EDT, Ani Peter
no flags Details
Screenshot showing the turn off option on ibus after its already turned off (56.42 KB, image/png)
2010-03-26 08:25 EDT, Ani Peter
no flags Details
Screenshot showing the turn off option on ibus after its already turned off when the "Always" option for language panel is selected (56.97 KB, image/png)
2010-03-26 08:26 EDT, Ani Peter
no flags Details

  None (edit)
Description Ani Peter 2010-03-26 08:22:43 EDT
Created attachment 402829 [details]
Screenshot showing turning off the inout method

Description of problem:
Once the ibus is configured, and then click on the ibus icon, you get an option called "Turn off input method". This option is always present even after you turn off the input method. Have explained it below with Malayalam as example under Steps to reproduce.

Version-Release number of selected component (if applicable):
ibus-1.3.0-2.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open any text editor, say gedit.
2. Activate ibus and click on the language panel that appears on the bottom right.
3. Click on the inscript keyboard layout icon on the panel and select the option "Turn off input method"
4. You can see that the ibus is switched off and cannot type in Malayalam anymore.
5. Click on the ibus icon on the panel, again you get the option "Turn off input method".
  
Actual results:
Same as above .

Expected results:
After you select the option "Turn off the input method" and turn it off, the next time you click on the ibus icon its meaning less to have "turn off" option again. Either it must have "Turn on option" or this option must not appear, as we have already switched it off.

Additional info:
1. Select Preferences->General->Font and Style-> Show language panel as "Always".
2. Open gedit and activate Ibus. Click on the inscript keyboard layout icon on the panel and select the option "Turn off input method". 
3. You can see that the ibus is switched off and cannot type in Malayalam anymore.
4. Again click on the panel on the right bottom corner. You can see that again you get the option "Turn off input method" which is actually meaningless.
Comment 1 Ani Peter 2010-03-26 08:25:14 EDT
Created attachment 402830 [details]
Screenshot showing the turn off option on ibus after its already turned off
Comment 2 Ani Peter 2010-03-26 08:26:39 EDT
Created attachment 402831 [details]
Screenshot showing the turn off option on ibus after its already turned off when the "Always" option for language panel is selected
Comment 3 Peng Huang 2010-04-07 22:39:02 EDT
This issue has been fixed in upstream source code repository. I will build it for fedora soon.
Comment 4 Fedora Update System 2010-04-21 06:24:18 EDT
ibus-1.3.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ibus-1.3.2-1.fc13
Comment 5 Fedora Update System 2010-04-21 17:55:04 EDT
ibus-1.3.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ibus-1.3.2-1.fc13
Comment 6 Fedora Update System 2010-04-26 22:18:45 EDT
ibus-1.3.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.